html {
    scroll-behavior: smooth;
}

body {
    background-color: #eaf8e5;
    color: #366e5f;
    margin: 0;
    font-family: "Roboto", serif;
}

.container {
    padding: 5rem 8rem;
}

.row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

p {
    font-size: 17px;
    line-height: 2rem;
}

img {
    display: block;
}

h1, h2, h3, h4 {
    font-family: "Roboto", serif;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 0px;
}

h2 {
    color: #105f2d;
    text-align: center;
}

a {
    text-decoration: none;
    color: #105f2d;
    font-size: 12px;
    position: relative;
}

a:active {
    background-color: rgba(128, 128, 128, 0.559);
}

.titles-image img, .titles-image hr {
    width: 100%;
    max-width: 400px;
    margin: auto;
}

.titles-image hr {
    margin: 0 auto 2rem;
    height: 2.5px;
    background-image: linear-gradient(50deg, #87c0b1, #105f2d 40%);
}

.button a {
    padding: 5px 10px;
    transition: 0.3s;
    font-size: 1rem;
    font-weight: 900;
    font-style: italic;
    text-transform: uppercase;
}

.button {
    margin-top: 1.8rem;
    text-align: center;
}

.button a:hover {
    font-size: 1.1rem;
    color: #1dbd92;
}

header {
    width: 100%;
    position: absolute;
}

.navbar {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    position: fixed;
    z-index: 5;
    width: 100%;
    background: rgba(255, 255, 255, 0.432);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    backdrop-filter: blur(4.5px);
    -webkit-backdrop-filter: blur(4.5px);
    border-radius: 0 0 10px 10px;
}

nav {
    height: 80px;
    align-items: center;
    /* min-width: 600px; */
    display: flex;
    gap: 2rem;
    margin: auto;
}

nav a {
    position: relative;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    padding: 0 10px;
}

.nav-logo img {
    width: 120px;
}

.nav-buttons a {
    font-size: 18px;
    letter-spacing: 5px;
}


nav a:after, footer a:after {
    content: "";
    position: absolute;
    background-color: #87c0b1;
    height: 2px;
    width: 0;
    left: 0;
    bottom: -5px;
    transition: 0.3s;
}


nav a:hover:after, footer a:hover:after {
    width: 100%;
}

nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    list-style: none;
    padding: 0;
    gap: 10px;
}

.mob-dropdown {
    display: none;
}

/* HERO SECTION */

#hero {
    background-image: url(images/poster.webp);
    background-position: center;
    background-size: cover;
}

#hero .container {
    display: flex;
    /* flex-wrap: wrap; */
    align-items: center;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    height: 78vh;
}

#hero .logo {
    padding-top: 3rem;
    text-align: center;
}

#hero .logo img {
    max-width: 80%;
    margin: auto;
}

/* ABOUT SECTION */


#about .container {
    padding: 1rem 16rem;
    text-align: center;
}


.about-content p {
    line-height: 1.8rem;
}

#about .team ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    padding-inline-start: 0;
    margin-top: 2.5rem;
}

#about .team li * {
    margin: 0;
}

.about-banner {
    display: block;
}

.about-banner-mob {
    display: none;
}

/* EVENTS SECTION */

#events .container {
    padding: 5rem 10rem 7rem;
}

#events h2 {
    margin-bottom: 3rem;
}

.event-icon {
    color: white;
    font-size: 3rem;
    padding: 1rem;
    line-height: 3rem;
    font-weight: 900;
    letter-spacing: 0.2rem;
}

.event-text {
    text-align: center;
    padding: 1rem;
}

.event a {
    display: flex;
    position: relative;
    z-index: 4;
}

.event a>* {
    flex: 1;
}

#events p {
    margin: 0;
    line-height: unset;
}

#events h3 {
    font-size: 1.2rem;
    font-weight: bolder;
    margin: 0;
}

.event-listing {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.2rem;
}

.event-listing .event {
    position: relative;
    background-size: cover;
    background-position: center center;
    flex: 1;
}

.event-listing .event::after {
    content: '';
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(270deg, #eaf8e5 40%, transparent);
    transition: 0.3s;
    right: 0;
}

.event-listing .event:hover::after {
    width: 0;
}

.event-listing .event:hover .event-text {
    color: aliceblue;
}

.treasure-hunt {
    background-image: url(images/treasure-hunt-bg.webp);
}

.bgmi-gaming {
    background-image: url(images/bgmi-gaming-bg.webp);
}

.it-quiz {
    background-image: url(images/it-quiz-bg.webp);

}

.web-design {
    background-image: url(images/web-design-bg.webp);
}

.it-manager {
    background-image: url(images/it-manager-bg.webp);
}

.graphic-design {
    background-image: url(images/graphic-design-bg.webp);
}

.coding {
    background-image: url(images/coding-bg.webp);
}

.dumb-charades {
    background-image: url(images/dumb-charades-bg.webp);
}

/* REGISTRATION SECTION */

#registration {
    background: url(images/poster.webp);
    background-size: cover;
    background-position: center;
    color: #000;
    text-align: center;
    border-top: 5px solid black;
    border-bottom: 5px solid black;
}

.register-banner img {
    margin: 0 auto;
    margin-bottom: 1rem;
    transition: 0.3s;

}

#registration:hover img {
    scale: 1.1;
}

/* FOOTER SECTION */

footer .container {
    padding-top: 2rem;
    padding-bottom: 4rem;
}

footer .row {
    align-items: center;
}

footer h4 {
    text-align: center;
}

li {
    list-style: none;
    margin-bottom: 10px;
}

footer a {
    font-family: 'Didact Gothic', sans-serif;
    font-size: 14px;
}

footer ul {
    padding-left: 0;
}

footer h3 {
    font-weight: 900;
    font-style: italic;
}

.contact a {
    font-size: 13px;
}

.location {
    border-radius: 10px;
    overflow: hidden;
    border: 3px solid;
}

.location iframe {
    width: 100%;
    max-width: 400px;
    height: 200px;
}

.copyright {
    padding: 1rem;
    text-align: center;
    font-size: 14px;
    text-wrap: balance;
}

.copyright a {
    letter-spacing: unset;
    color: #105f2d;
}

.copyright a:hover {
    color: #87c0b1;
}

/* MEDIA QUERIES */

@media screen and (max-width: 1024px) {
    #events .container {
        padding: 5rem 2rem 7rem;
    }
}

@media screen and (max-width:769px) {
    .nav-logo, .nav-links, .nav-buttons {
        display: none;
    }

    .navbar {
        justify-content: start;
        height: 60px;
    }

    .mob-dropdown {
        display: flex;
        justify-content: center;
        width: 100%;
        align-items: center;
    }

    .mob-dropdown ul {
        justify-content: space-evenly;
    }

    .container {
        padding: 2rem !important;
    }

    #hero .logo img {
        max-width: 100%;
        margin: auto;
    }

    footer .row {
        flex-direction: column;
        gap: 2rem;
        text-align: center;
    }

    .button {
        text-align: center;
    }

    .team-heads, .event-listing {
        grid-template-columns: repeat(1, 1fr);
    }


    .mob-hidden {
        display: none;
    }

    #event-details .title-imgs {
        flex-direction: column;
        gap: 2rem;
    }

    .title-imgs p {
        max-width: unset;
        text-align: center;
    }

    .title-imgs div {
        max-width: unset;
    }

    .register-banner img {
        max-width: 300px;
    }
}

@media screen and (max-width: 540px) {
    .register-banner img {
        max-width: 200px;
    }

    .about-banner {
        display: none;
    }

    .about-banner-mob {
        display: block;
    }
}

@media screen and (max-width: 369px) {
    .register-banner img {
        max-width: 180px;
    }

    .event a>* {
        flex: unset;
    }

    .event a {
        justify-content: space-between;
    }

    .event-text {
        text-align: end;
    }
}